List Models

Get all available models with their credit costs and capabilities.

GET
/v1/models
List available models

Request

No authentication required for this endpoint. No request body.

Response

json
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
{
  "data": [
    {
      "id": "gpt-4o-mini",
      "provider": "openai",
      "tier": "core",
      "context_window": "docs-token-number">128000,
      "max_tokens": "docs-token-number">16384,
      "credits_per_1k_input": "docs-token-number">1,
      "credits_per_1k_output": "docs-token-number">2
    },
    {
      "id": "claude-sonnet",
      "provider": "anthropic",
      "tier": "pro",
      "context_window": "docs-token-number">200000,
      "max_tokens": "docs-token-number">16384,
      "credits_per_1k_input": "docs-token-number">3,
      "credits_per_1k_output": "docs-token-number">5
    },
    {
      "id": "gemini-pro",
      "provider": "google",
      "tier": "core",
      "context_window": "docs-token-number">1000000,
      "max_tokens": "docs-token-number">8192,
      "credits_per_1k_input": "docs-token-number">1,
      "credits_per_1k_output": "docs-token-number">2
    }
  ]
}

Response includes all enabled models. See /docs/models for the full catalog with filtering.